SDK Installer Fails on Windows 10

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

SDK Installer Fails on Windows 10

leejk
Hi,

I've seen several posts already about this, so is there a coming fix or
workaround?

I downloaded the SDK installer from the downloads page, and when I run it,
after the verifying download message goes away it disappears. No error
message and nothing runs or gets installed.

I've never had a problem installing the SDK, until Windows 10 :(

thx



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

Kerogi
Same for Mac OS. AIR 29 was updated today due to Apple store rejections of
all AIR apps (https://forums.adobe.com/thread/2472510). Please, add changes
to installer config.

Also (maybe not related to installer itself), but seems like I could not
make overlayed AIR29 over AIR 28 SDK to work. App compilation fails with
errors like Error: Unable to locate specified base class
'spark.components.Application' for component class 'Main'.



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

piotrz
Hi Guys,

I have fixed installer. Now I will try to start release process. Not sure
how long it will take.

Thanks,
Piotr

2018-04-11 16:46 GMT+02:00 Kerogi <[hidden email]>:

> Same for Mac OS. AIR 29 was updated today due to Apple store rejections of
> all AIR apps (https://forums.adobe.com/thread/2472510). Please, add
> changes
> to installer config.
>
> Also (maybe not related to installer itself), but seems like I could not
> make overlayed AIR29 over AIR 28 SDK to work. App compilation fails with
> errors like Error: Unable to locate specified base class
> 'spark.components.Application' for component class 'Main'.
>
>
>
> --
> Sent from: http://apache-flex-users.2333346.n4.nabble.com/
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

leejk
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

bilbosax
In reply to this post by piotrz
Hi piotrz.  I just wanted to mention, just in case you were not aware, that
Apple has been rejecting a TON of Air apps lately because of a bug in the
AIR SDK.  Chris Campbell posted that they have almost finished patching the
problem, and will be releasing AIR SDK 29.0.0.122 very soon.  I don't know
if this affects what you are currently doing with the installer, so I
thought I would give you a heads up because the current SDK 29 is flawed.


https://forums.adobe.com/thread/2472940
<https://forums.adobe.com/thread/2472940>  





--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

Carlos Rovira-2
Hi,

that's very true, I saw that on the internet and seems that the new AIR SDK
is a must to get people roll again in Apple Store
Piotr, if you can update as part of your work it would be great.
thanks for pointing that bilbo :)

Carlos

2018-04-14 0:04 GMT+02:00 bilbosax <[hidden email]>:

> Hi piotrz.  I just wanted to mention, just in case you were not aware, that
> Apple has been rejecting a TON of Air apps lately because of a bug in the
> AIR SDK.  Chris Campbell posted that they have almost finished patching the
> problem, and will be releasing AIR SDK 29.0.0.122 very soon.  I don't know
> if this affects what you are currently doing with the installer, so I
> thought I would give you a heads up because the current SDK 29 is flawed.
>
>
> https://forums.adobe.com/thread/2472940
> <https://forums.adobe.com/thread/2472940>
>
>
>
>
>
> --
> Sent from: http://apache-flex-users.2333346.n4.nabble.com/
>



--
Carlos Rovira
http://about.me/carlosrovira
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

piotrz
Hi Guys,

I believe we are using the newest one. We are good here. Installer is part
of the Moonshine also, so my fix landed there in the first step. Next
release of Moonshine allow download Apache Flex without the problem.

Now I'm fighting with preparation and sign binaries in order to release
Installer here in Apache Flex project.

Thanks,
Piotr

On Sat, Apr 14, 2018, 12:13 AM Carlos Rovira <[hidden email]>
wrote:

> Hi,
>
> that's very true, I saw that on the internet and seems that the new AIR SDK
> is a must to get people roll again in Apple Store
> Piotr, if you can update as part of your work it would be great.
> thanks for pointing that bilbo :)
>
> Carlos
>
> 2018-04-14 0:04 GMT+02:00 bilbosax <[hidden email]>:
>
> > Hi piotrz.  I just wanted to mention, just in case you were not aware,
> that
> > Apple has been rejecting a TON of Air apps lately because of a bug in the
> > AIR SDK.  Chris Campbell posted that they have almost finished patching
> the
> > problem, and will be releasing AIR SDK 29.0.0.122 very soon.  I don't
> know
> > if this affects what you are currently doing with the installer, so I
> > thought I would give you a heads up because the current SDK 29 is flawed.
> >
> >
> > https://forums.adobe.com/thread/2472940
> > <https://forums.adobe.com/thread/2472940>
> >
> >
> >
> >
> >
> > --
> > Sent from: http://apache-flex-users.2333346.n4.nabble.com/
> >
>
>
>
> --
> Carlos Rovira
> http://about.me/carlosrovira
>
Reply | Threaded
Open this post in threaded view
|

Re: SDK Installer Fails on Windows 10

bilbosax
Piotrz, thanks for the update.  You may want to follow the thread that I
mentioned in my earlier post.  Even though they have a patch, people are
still having trouble with the 29.0.0.122 SDK.  Even though people have got
apps accepted on the app store with it, people are having trouble with
installing ad hoc releases on a device, etc.  I don't think they have all
the kinks worked out yet if I understand correctly, but I think that they
will have it in the next few days.  Just thought I should mention this.
Best of luck!!



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/